# Price Lists ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/customers/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/customers/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## List Price Lists - [POST /fetch/PL](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-fetch-pl.md): Retrieves a list of Price Lists. You can apply a filter on returned price lists. ## Get a Price List - [POST /fetch/PL/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-fetch-pl-id.md): Retrieves Price List details. ## List Price List Items - [POST /pricelistmanager.fetch/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.fetch-id.md): Retrieves a list of Price List Items. A filter can be applied. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_FETCH | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), View Price Lists (PB_PRICELISTS_RO) ## Create a Revision - [POST /pricelistmanager.add/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.add-id.md): Creates a revision of the Price List. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_ADD | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) ## Calculate a Pricelist - [POST /pricelistmanager.calculate/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.calculate-id.md): Calculates the Price List specified by id in the path parameter. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_UPDATE | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) ## Update a Pricelist Detail - [POST /pricelistmanager.update/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.update-id.md): Updates the Price List Item (PLI) of the Pricelist specified by id in the path parameter. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_UPDATE | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) ## Create a Price List - [POST /pricelistmanager.add](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.add.md): Creates a new Price List. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_ADD | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) ## Submit a Price List - [POST /pricelistmanager.submit/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.submit-id.md): Starts an approval process for the Price List. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_UPDATE | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) ## Revoke a Price List - [POST /pricelistmanager.revoke/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.revoke-id.md): Revokes an approved Price List. Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_REVOKE | Administer Price Lists (PB_PRICELISTS) ## Delete a Price List Item - [POST /pricelistmanager.delete/PL/{id}/batch](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.delete-pl-id-batch.md): Deletes a Price List Item based on filter settings. --- Filter example: Deletes only Price List Items where comments = "denied". json { "data": { "filterCriteria": { "operator": "and", "criteria": [ { "fieldName": "comments", "operator": "iEquals", "value": "denied" } ] } } } --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_REMOVE | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) ## Delete a Price List - [POST /pricelistmanager.delete](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-pricelistmanager.delete.md): Deletes a Price List specified by typedId. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_REMOVE | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## List Price List Types - [POST /fetch/PLTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-fetch-pltt.md): Retrieves a list of Price List Types. ## Delete a Price List Type - [POST /delete/PLTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-delete-pltt.md): Deletes the specified Price List Type. ## Add a Price List Type - [POST /add/PLTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-add-pltt.md): Creates a Price List Type. ## Update a Price List Type - [POST /update/PLTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-update-pltt.md): Updates the Price List Type. ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample).